Package org.postgis.jts

## Class JTSShape.GeometryPathIterator

- java.lang.Object
- - org.postgis.jts.JTSShape.GeometryPathIterator

All Implemented Interfaces:
  `PathIterator`

Direct Known Subclasses:
  `JTSShape.GeometryCollectionPathIterator`, `JTSShape.LineStringPathIterator`, `JTSShape.PointPathIterator`

Enclosing class:
  JTSShape

    public abstract static class JTSShape.GeometryPathIterator
    extends Object
    implements PathIterator

### Field Summary

Fields
`protected AffineTransform` `at`
`protected int` `index`

### Fields inherited from interface java.awt.geom.PathIterator

`SEG_CLOSE, SEG_CUBICTO, SEG_LINETO, SEG_MOVETO, SEG_QUADTO, WIND_EVEN_ODD, WIND_NON_ZERO`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getWindingRule()`
`void` `next()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.awt.geom.PathIterator

`currentSegment, currentSegment, isDone`

### Field Detail

#### at

    protected final AffineTransform at

#### index

    protected int index

### Method Detail

#### getWindingRule

    public final int getWindingRule()

Specified by:
  `getWindingRule` in interface `PathIterator`

#### next

    public void next()

Specified by:
  `next` in interface `PathIterator`